/*
CartoTypeView.h
Copyright 2019-2022 CartoType Ltd.
See www.cartotype.com for more information.
*/

#import <CartoType/CartoType.h>
#import <CartoType/CartoTypeFramework.h>
#import <CartoType/MGLKit.h>

/**
\file
A graphics-accelerated view class.
*/

/**
A view class for drawing maps using graphics acceleration.
Objects of this class may be used directly, but it is easier to use
CartoTypeViewController, which creates and manages a CartoTypeView.
*/
@interface CartoTypeView: MGLKView

/** Sets the CartoTypeFramework to be drawn. */
-(void)setFramework:(CartoTypeFramework*)aFramework;

/** Draws the current CartoTypeFramework. */
-(void)drawRect:(CGRect)rect;

@end
